Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>
Summary:   	Tool for dumping a computer's DMI table contents
Name:      	dmidecode
Version:   	2.11
Release:   	1
Provides:	dmidecode
License: 	GNU/GPL
URL:		http://www.nongnu.org/dmidecode/
Group:     	System/Configuration/Hardware
Source0: 	%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

#Automatically resolved build dependencies
BuildRequires: glibc-devel

%description
Dmidecode is a tool for dumping a computer's DMI (some say SMBIOS) table
contents in a human-readable format. This table contains a description of the
system's hardware components, as well as other useful pieces of information
such as serial numbers and BIOS revision. Part of its code can be found in
the Linux kernel, because DMI data may be used to enable or disable specific
portions of code depending on the hardware vendor. Thus, dmidecode is mainly
used to detect system "signatures" and add them to the kernel source code
when needed.

%prep
%setup -qn %{name}-%{version}

%build
make

%install 
rm -rf $RPM_BUILD_ROOT 
make  prefix=%_prefix DESTDIR="$RPM_BUILD_ROOT" install
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%{_sbindir}/biosdecode
%{_sbindir}/dmidecode
%{_sbindir}/ownership
%{_sbindir}/vpddecode
%{_docdir}/dmidecode/AUTHORS
%{_docdir}/dmidecode/CHANGELOG
%{_docdir}/dmidecode/README
%{_mandir}/man8/biosdecode.8.gz
%{_mandir}/man8/dmidecode.8.gz
%{_mandir}/man8/ownership.8.gz
%{_mandir}/man8/vpddecode.8.gz

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Jan 20 2011 Karsten Brockmann <arcam@ccux-linux.de> 2.11-1
- version update
* Mon Nov 24 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.10-1
- version update
* Sun Nov 25 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.9-1
- Inital Release
